Bug 475917 - iotop crashes with python traceback and error: _curses.error: addstr() returned ERR
Summary: iotop crashes with python traceback and error: _curses.error: addstr() return...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: iotop
Version: 10
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Adel Gadllah
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-12-11 04:26 UTC by Raman Gupta
Modified: 2009-05-26 07:53 UTC (History)
1 user (show)

Fixed In Version: 0.3-1.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-26 07:52:42 UTC
Type: ---


Attachments (Terms of Use)

Description Raman Gupta 2008-12-11 04:26:32 UTC
Description of problem:

When executing iotop, it sometimes crashes almost immediately with a python traceback. The traceback is:

[root@xx ~]# iotop
Traceback (most recent call last):
  File "/usr/bin/iotop", line 16, in <module>
    main()
  File "/usr/lib/python2.5/site-packages/iotop/ui.py", line 249, in main
    curses.wrapper(run_iotop, options)
  File "/usr/lib64/python2.5/curses/wrapper.py", line 44, in wrapper
    return func(stdscr, *args, **kwds)
  File "/usr/lib/python2.5/site-packages/iotop/ui.py", line 205, in run_iotop
    ui.run()
  File "/usr/lib/python2.5/site-packages/iotop/ui.py", line 95, in run
    self.process_list.duration)
  File "/usr/lib/python2.5/site-packages/iotop/ui.py", line 198, in refresh_display
    self.win.addstr(i + 2, 0, lines[i].encode('utf-8'))
_curses.error: addstr() returned ERR

This occurred while the prelink process was running. Unfortunately I don't have the output, but when I did a "ps -ef" I remember seeing an awk script process with some "??????" in the script. Could those may have been non-printable characters that were causing iotop to crash?


Version-Release number of selected component (if applicable):

[root@xx ~]# rpm -q --info iotop | head -4
Name        : iotop                        Relocations: (not relocatable)
Version     : 0.2.1                             Vendor: Fedora Project
Release     : 1.fc10                        Build Date: Wed 09 Jul 2008 07:01:54 AM EDT
Install Date: Wed 10 Dec 2008 10:43:42 PM EST      Build Host: xenbuilder4.fedora.phx.redhat.com


How reproducible:

Not very. I'm not sure how to reproduce it. I think it may have something to do with processes with non-printable characters. The prelink daily job may start an awk script that crashes it. That is just a guess however.

Comment 1 Paul Wise (Debian) 2009-05-18 09:33:02 UTC
This bug is fixed in upstream git commit 7915eb4181467e73b6bec5fa4c76bb6d4daf8979 and version 0.3.

Comment 2 Fedora Update System 2009-05-19 18:29:38 UTC
iotop-0.3-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/iotop-0.3-1.fc9

Comment 3 Fedora Update System 2009-05-19 18:30:21 UTC
iotop-0.3-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/iotop-0.3-1.fc10

Comment 4 Fedora Update System 2009-05-19 18:31:07 UTC
iotop-0.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/iotop-0.3-1.fc11

Comment 5 Fedora Update System 2009-05-20 23:52:43 UTC
iotop-0.3-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update iotop'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5231

Comment 6 Fedora Update System 2009-05-20 23:54:09 UTC
iotop-0.3-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update iotop'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5234

Comment 7 Fedora Update System 2009-05-21 00:01:47 UTC
iotop-0.3-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update iotop'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-5272

Comment 8 Fedora Update System 2009-05-26 07:52:36 UTC
iotop-0.3-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-05-26 07:52:48 UTC
iotop-0.3-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-05-26 07:53:43 UTC
iotop-0.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.